Get AnalysisResult
curl --request GET \
--url https://stats.eu.confidence.dev/v2/workflows/{workflow}/instances/{instance}/analysisResults/{analysisResult} \
--header 'Authorization: Bearer <token>'import requests
url = "https://stats.eu.confidence.dev/v2/workflows/{workflow}/instances/{instance}/analysisResults/{analysisResult}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stats.eu.confidence.dev/v2/workflows/{workflow}/instances/{instance}/analysisResults/{analysisResult}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"exposureFilter": "<string>",
"annotations": [
{
"context": [
{
"value": "<string>"
}
],
"info": "<string>",
"warning": "<string>",
"error": {
"details": "<string>"
}
}
],
"results": [
{
"id": "<string>",
"statsSettings": {
"adjustedAlpha": 123,
"adjustedBeta": {
"value": 123
},
"hasVarianceReduction": true
},
"result": [
{
"status": {
"message": "<string>",
"decisionPowered": {
"value": true
},
"decisionIsSignificant": {
"value": true
},
"validationIsSignificant": {
"value": true
}
},
"groups": {
"baseline": "<string>",
"compared": "<string>"
},
"result": [
{
"resultTime": "<string>",
"baselineEstimateAbs": {
"value": 123
},
"comparedEstimateAbs": {
"value": 123
},
"baselineEstimateRel": {
"value": 123
},
"comparedEstimateRel": {
"value": 123
},
"differenceEstimateAbs": {
"estimate": {
"value": 123
},
"lower": {
"value": 123
},
"upper": {
"value": 123
},
"powered": {
"value": 123
},
"isSignificant": {
"value": true
}
},
"differenceEstimateRel": {
"estimate": {
"value": 123
},
"lower": {
"value": 123
},
"upper": {
"value": 123
},
"powered": {
"value": 123
},
"isSignificant": {
"value": true
}
},
"varianceReductionRate": {
"value": 123
},
"unadjustedEstimateBaseline": {
"value": 123
},
"unadjustedEstimateCompared": {
"value": 123
},
"baselineSampleSize": {
"value": 123
},
"comparedSampleSize": {
"value": 123
}
}
],
"lastResult": {
"resultTime": "<string>",
"baselineEstimateAbs": {
"value": 123
},
"comparedEstimateAbs": {
"value": 123
},
"baselineEstimateRel": {
"value": 123
},
"comparedEstimateRel": {
"value": 123
},
"differenceEstimateAbs": {
"estimate": {
"value": 123
},
"lower": {
"value": 123
},
"upper": {
"value": 123
},
"powered": {
"value": 123
},
"isSignificant": {
"value": true
}
},
"differenceEstimateRel": {
"estimate": {
"value": 123
},
"lower": {
"value": 123
},
"upper": {
"value": 123
},
"powered": {
"value": 123
},
"isSignificant": {
"value": true
}
},
"varianceReductionRate": {
"value": 123
},
"unadjustedEstimateBaseline": {
"value": 123
},
"unadjustedEstimateCompared": {
"value": 123
},
"baselineSampleSize": {
"value": 123
},
"comparedSampleSize": {
"value": 123
}
},
"sampleSize": {
"current": 123,
"required": 123,
"poweredEffectRel": {
"value": 123
},
"poweredEffectAbs": {
"value": 123
}
},
"isSignificant": {
"value": true
},
"comparisonId": "<string>",
"groupStats": [
{
"id": "<string>",
"sampleSize": 123
}
],
"dimensions": [
{}
],
"segmentId": "<string>",
"lastDeteriorationResult": {
"resultTime": "<string>",
"baselineEstimateAbs": {
"value": 123
},
"comparedEstimateAbs": {
"value": 123
},
"baselineEstimateRel": {
"value": 123
},
"comparedEstimateRel": {
"value": 123
},
"differenceEstimateAbs": {
"estimate": {
"value": 123
},
"lower": {
"value": 123
},
"upper": {
"value": 123
},
"powered": {
"value": 123
},
"isSignificant": {
"value": true
}
},
"differenceEstimateRel": {
"estimate": {
"value": 123
},
"lower": {
"value": 123
},
"upper": {
"value": 123
},
"powered": {
"value": 123
},
"isSignificant": {
"value": true
}
},
"varianceReductionRate": {
"value": 123
},
"unadjustedEstimateBaseline": {
"value": 123
},
"unadjustedEstimateCompared": {
"value": 123
},
"baselineSampleSize": {
"value": 123
},
"comparedSampleSize": {
"value": 123
}
}
}
],
"annotations": [
{
"context": [
{
"value": "<string>"
}
],
"info": "<string>",
"warning": "<string>",
"error": {
"details": "<string>"
}
}
],
"metricDetails": {
"plannedEffectSize": {
"value": "<string>"
},
"hasRun": true
},
"srmResult": [
{
"status": {
"message": "<string>",
"decisionPowered": {
"value": true
},
"decisionIsSignificant": {
"value": true
},
"validationIsSignificant": {
"value": true
}
},
"isSignificant": true,
"dimensions": [
{}
],
"segmentId": "<string>",
"result": [
{
"group": "<string>",
"observed": 123,
"expected": 123,
"isSignificant": true
}
]
}
]
}
],
"treatments": [
{
"id": "<string>",
"recommendation": {
"status": {}
}
}
],
"labels": [
{}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Returns a AnalysisResult.
The result of a statistical analysis for an experiment instance.
The time the analysis result was first created.
Time when the analysis result was last updated.
Reference to the identity that created this analysis result.
Reference to the identity that last updated this analysis result.
Resource name of this analysis result.
Name of the exposure filter applied to this analysis result.
Annotations surfaced during the analysis, such as warnings, errors, or informational messages.
Show child attributes
Show child attributes
Statistical results for each hypothesis tested in this analysis.
Show child attributes
Show child attributes
Information about each treatment group, including shipping recommendations.
Show child attributes
Show child attributes
Custom key value pairs for this analysis result.
Show child attributes
Show child attributes
Was this page helpful?

